# LK3 integration for homeassistant

## Requirements

- Installed homeassistant (for details see <https://www.home-assistant.io/>).
- Lan Controller HW 3.0 SW 1.56a or HW 3.5+ SW 1.22+

## Installation

1. If you are using Home Assistant OS or Docker container then you need to find `config` directory (in case of docker it was selected in command running container). If you are using virtualenv installation it will be `.homeassistant` directory in home directory of user under whom you run the `hass` command, eg. `/home/homeassistant/.homeassistant`.
2. Create new directory `custom_components` inside directory mentioned in step 1.
3. Create new directory `lk3` inside `custom_components`.
4. Copy project's files to directory `lk3`.
5. In result you should have a following directory layout:

    ```
    .
    ├─ config/                          # or .homeassistant
    │  └─ ...                           # other homeassistant directories and files
    │  └─ custom_components/            # directory for storing custom integrations
    │     └─ lk3/                       # LK3 integration directory
    │        ├─ lk3api/                 # API service for getting data from LK3 devices
    │        │  ├─ __init__.py
    │        │  ├─ __version__.py
    │        │  ├─ api.py
    │        │  ├─ exceptions.py
    │        │  └─ models.py
    │        ├─ translations/
    │        │  └─ en.json
    │        ├─ __init__.py
    │        ├─ __version__.py
    │        ├─ binary_sensor.py
    │        ├─ CHANGELOG.md            # List of changes in integration
    │        ├─ config_flow.py
    │        ├─ const.py
    │        ├─ manifest.json
    │        ├─ README.md               # This file with instructions
    │        ├─ sensor.py
    │        ├─ strings.json
    │        └─ switch.py
    └─ ...
    ```

6. Restart homeassistant server.
7. After restart the integration `LK3` should be available in Configuration > Integrations > Add integration.

## Configuration

After adding device the outputs and pwm outputs entities will be active right away.

Other entities can be activated in Configuration > Devices > Entities (Show disabled entities).
